A portable, open-source, coherent noise-generating library for C++

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members

# noise::module::Const Class Reference
[Generator Modules]

`#include <const.h>`

Inheritance diagram for noise::module::Const:

List of all members.

## Detailed Description

Noise module that outputs a constant value.

To specify the constant value, call the SetConstValue() method.

This noise module is not useful by itself, but it is often used as a source module for other noise modules.

This noise module does not require any source modules.

## Public Member Functions

| Const ()
| Constructor.
double | GetConstValue () const
| Returns the constant output value for this noise module.
virtual int | GetSourceModuleCount () const
| Returns the number of source modules required by this noise module.
virtual double | GetValue (double x, double y, double z) const
| Generates an output value given the coordinates of the specified input value.
void | SetConstValue (double constValue)
| Sets the constant output value for this noise module.

## Protected Attributes

double | m_constValue
| Constant value.

## Constructor & Destructor Documentation

Const::Const | ( |  | ) |

| Constructor. The default constant value is set to noise::module::DEFAULT_CONST_VALUE.

## Member Function Documentation

double noise::module::Const::GetConstValue | ( |  | ) | const`[inline]`

Returns the constant output value for this noise module.

Returns:
  The constant output value for this noise module.

virtual int noise::module::Const::GetSourceModuleCount | ( |  | ) | const`[inline, virtual]`

Returns the number of source modules required by this noise module.

Returns:
  The number of source modules required by this noise module.

Implements noise::module::Module.

virtual double noise::module::Const::GetValue | ( | double | x,
|  | double | y,
|  | double | z
| ) | const`[inline, virtual]`

Generates an output value given the coordinates of the specified input value.

Parameters:

  | x | The x coordinate of the input value.
  | y | The y coordinate of the input value.
  | z | The z coordinate of the input value.

Returns:
  The output value.

Precondition:
  All source modules required by this noise module have been passed to the SetSourceModule() method.

Before an application can call this method, it must first connect all required source modules via the SetSourceModule() method. If these source modules are not connected to this noise module, this method raises a debug assertion.

To determine the number of source modules required by this noise module, call the GetSourceModuleCount() method.

Implements noise::module::Module.

void noise::module::Const::SetConstValue | ( | double | constValue | ) | `[inline]`

Sets the constant output value for this noise module.

Parameters:

  | constValue | The constant output value for this noise module.

The documentation for this class was generated from the following files:

- const.h
- const.cpp